/*
* Colors used in design.
*   primary: #0078aa;
*   dark: #363636;
*   light: #fff;
*/
*{
    margin: 0;
    padding: 0;
}
html{
    scroll-behavior: smooth;
}
body {
    
    font-family: 'Montserrat', sans-serif;
}
.container{
    max-width: 1170px;
    margin: 0 auto;
}
.button-up{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #0079ac;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: center;
}
.button-up svg{
    height: 20px;
    fill: #fff;
}
/* headings */
.section-heading{
    font-size: 32px;
}
.section-subheading{
    text-transform: uppercase;
    padding-top: 6px;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.001em;
}
/* navigation */
.navigation__menu{
    list-style: none;
    display: flex;
}
.navigation__item{
    padding-left: 20px;
    font-weight: 700;
}
.navigation__link{
    cursor: pointer;
    text-decoration: none;
    color: #000;
    transition: all .3s;
}
.navigation__link:hover{
    color: #0078aa;
}
/* header */
.header{
    position: fixed;
    top: 0;
    width: 100%;
    padding: 15px 0;
    background-color: #fff;
}
.header__wrap{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
/* promo */
.promo{
    margin-top: 65px;
    height: 564px;
    box-sizing: border-box;
    padding-top: 190px;
    background: url('../img/header_bg.jpg') center no-repeat;
    background-size: cover;
    border-bottom-right-radius: 20%;
}
.promo__header{
    width: 540px;
    font-size: 41px;
}
.promo__text{
    margin-top: 17px;
    white-space: pre-line;
}
.promo__icons{
    margin-top: 20px;
    display: flex;
}
.promo__icon{
    background-color: #0079ac;
    width: 50px;
    height: 50px;
    margin-right: 25px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.promo__icon:hover{
    background-color: #fff;
    border: 1px solid #0079ac;
}
.promo__icon svg{
    height: 27px;
    fill: #fff;

}
.promo__icon svg:hover{
    fill: #0078ac;
}
/* about */
.about{
    min-height: 630px;
    padding-top: 60px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
}
.about__content{
    width: 390px;
   padding-top: 75px; 
}
.about__subheading{
    color: #0078aa;
}
.about__items{
    padding-top: 20px;
}
.about__item{
    padding-bottom: 10px;
}
.about__item-heading{
    font-weight: 700;
}
.about__item-text{
    padding-top: 7px;
}
/* services */
.services{
    margin-top: -50px;
    min-height: 650px;
    padding-top: 52px;
    background: url('../img/services_bg.jpg') center no-repeat;
    background-size: cover;
}
.services__heading{
    text-align: center;
}
.services__subheading{
    text-align: center;
}
.services__content{
    margin-top: 25px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 25px 30px;
}
.servises__item{
    background-color: #fff;
    padding: 25px;
}
.servises__item-heading{
    margin-top: 10px;
    font-size: 17px;
    font-weight: 700;
}
.services__item-descr{
    margin-top: 10px;
    font-size: 14px;
}
/* pricing */
.pricing{
    box-sizing: border-box;
    padding-top: 50px;
    min-height: 885px;
    background: url('../img/pricing_bg.jpg') center no-repeat;
    background-size: cover;
}
.pricing__heading{
    margin-top: 30px;
    text-align: center;
}
.pricing__subheading{
    text-align: center;
    padding-top: 0px;
    font-size: 16px;
}
.pricing__content{
    margin-top: 48px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
}
.pricing__item{
    box-sizing: border-box;
    height: 550px;
    padding-top: 47px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #45cae6;
}
.pricing__item_focus{
    height: 615px;
    background-color: #fff;
    border: 1px solid #0079ac;
}
.pricing__item_focus .blue{
    color: #0079ac;
}
.pricing__item_focus .pricing__item-list li{
    color: #0079ac;
}
.pricing__item-heading{
    font-size: 24px;
    font-weight: 700;
    color: #fff;
}
.pricing__item-heading_focus{
    padding-top: 30px;
    color: #0079ac;
}

.pricing__item-price{
    margin-top: 10px;
    font-size: 60px;
    font-weight: 700;
    line-height: 77px;
    color: #fff;
}
.pricing__item-count{
    margin-top: 10px;
    font-size: 15px;
    font-style: italic;
    color: #fff;
}
.pricing__item-list{
    margin-top: 35px;
    list-style: none;
    display: flex;
    flex-direction: column;
}
.pricing__item-list li{
    margin-bottom: 25px;
    font-size: 14px;
    align-self: center;
    color: #fff;
}
.pricing__item-button{
    width: 113px;
    height: 45px;
    border: 1px solid #0079ac;
    border-radius: 12px;
    background-color: #fff;
    color: #0079ac;
    font-size: 17px;
    font-weight: 700;
    transition: all .3s;
    cursor: pointer;
}
.pricing__item-button:hover{
    background-color: #0078ac;
    color: #fff;
}
/* contact */
.contact{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.contact__img img{
    width: 100%;
    
}
.contact__content{
    padding: 57px 30px 0;
}
.contact__form{
    margin-top: 22px;
    display: flex;
    flex-direction: column;
}
.contact__form input{
    border: none;
    border-bottom: 1px solid #eeefef;
    height: 25px;
    font-size: 13px;
    font-style: italic;
    padding: 10px;
}
.contact__submit{
    width: 90px;
    height: 45px;
    border-radius: 12px;
    margin-top: 15px;
    background-color: #0079ac;
    color: #fff;
    font-size: 14px;
    font-weight: 700;
    transition: all .3s;
    cursor: pointer;
}
.contact__submit:hover{
    background-color: #fff;
    border: 1px solid #0079ac;
    color: #0078ac;
}
.footer{
    min-height: 60px;
    margin-top: -4px;
    background-color: #333333;
    z-index: 10;
}
.footer__content{
    padding-top: 17px;
    text-align: center;
    color: #fff;
}

@media (max-width: 1280px){
    .container{
        max-width: 741px;
        padding: 0 15px;
    }
    .promo{
        background: url('../img/header_bg.jpg') 40%/cover no-repeat;
    }
    .promo__header{
        font-size: 36px;
    }
    .about{
        gap: 30px;
    }
    .about__img{
        align-items: center;
    }
    .about__img img{
        padding-top: 120px;
        width: 395px;
    }
    .about__content{
        padding-top: 60px;
        width: 100%;
    }
    .services__content{
        padding-bottom: 50px;
    }
    .contact__img{
        height: 100%;
    }
    .contact__img img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .contact__content{
        padding-bottom: 30px;
    }
    .footer{
        margin-top: 0;
    }
}
@media (max-width: 767px){
    .container{
        max-width: 100%;
        padding: 0 10px;
    }
    .header__wrap{
        flex-direction: column;
    }
    .header__logo{
        margin-bottom: 10px;
    }
    .navigation__item {
        padding-left: 15px;
    }
    .promo{
        border-bottom-right-radius: 0;
    }
    .promo__header{
        width: 250px;
        margin: 0 auto;
        text-align: center;
    }
    .promo__text{
        text-align: center;
    }
    .promo__icons{
        margin-left: 50%;
        transform: translateX(-50%);
        justify-content: space-between;
    }
    .promo__icon{
        margin-right: 0;
    }
    .about{
        display: block;
        padding-top: 0;
    }
    .about__content{
        padding-top: 0;
    }
    .section-heading{
        text-align: center;
    }
    .section-subheading{
        text-align: center;
    }
    .about__item{
        padding-bottom: 30px;

    }
    .about__img img{
        width: 100%;
    }
    .about__item-heading{
        text-align: center;
    }
    .about__item-text{
        text-align: center;
    }
    .services{
        margin-top: 0;
    }
    .services__content{
        display: block;
    }
    .servises__item{
        margin-bottom: 20px;
    }
    .pricing__content{
        display: block;
    }
    .pricing__item{
        margin-bottom: 15px;
    }
    .pricing__item_focus{
        height: 550px;
    }
    .contact{
        display: block;
    }
    .contact__content{
        padding-top: 25px;
    }
    .contact__submit{
        margin: 0 auto;
        margin-top: 15px;
    }
}